Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.CreateFormRequestContent{
Name: "name",
}
client.Forms.Create(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.create({
name: "name",
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.create({
name: "name",
});
}
main();curl --request POST \
--url https://{tenantDomain}/api/v2/forms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"messages": {
"errors": {},
"custom": {}
},
"languages": {
"primary": "<string>",
"default": "<string>"
},
"translations": {},
"nodes": [
{
"id": "<string>",
"type": "FLOW",
"config": {
"flow_id": "<string>",
"next_node": "<string>"
},
"alias": "<string>"
}
],
"start": {
"hidden_fields": [
{
"key": "<string>",
"value": "<string>"
}
],
"next_node": "<string>"
},
"ending": {
"after_submit": {
"flow_id": "<string>"
},
"resume_flow": true
},
"style": {
"css": "<string>"
}
}
'import requests
url = "https://{tenantDomain}/api/v2/forms"
payload = {
"name": "<string>",
"messages": {
"errors": {},
"custom": {}
},
"languages": {
"primary": "<string>",
"default": "<string>"
},
"translations": {},
"nodes": [
{
"id": "<string>",
"type": "FLOW",
"config": {
"flow_id": "<string>",
"next_node": "<string>"
},
"alias": "<string>"
}
],
"start": {
"hidden_fields": [
{
"key": "<string>",
"value": "<string>"
}
],
"next_node": "<string>"
},
"ending": {
"after_submit": { "flow_id": "<string>" },
"resume_flow": True
},
"style": { "css": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": {
"errors": {},
"custom": {}
},
"languages": {
"primary": "<string>",
"default": "<string>"
},
"translations": {},
"nodes": [
{
"id": "<string>",
"type": "FLOW",
"config": {
"flow_id": "<string>",
"next_node": "<string>"
},
"coordinates": {
"x": 0,
"y": 0
},
"alias": "<string>"
}
],
"start": {
"hidden_fields": [
{
"key": "<string>",
"value": "<string>"
}
],
"next_node": "<string>",
"coordinates": {
"x": 0,
"y": 0
}
},
"ending": {
"redirection": {
"target": "<string>",
"delay": 5
},
"after_submit": {
"flow_id": "<string>"
},
"coordinates": {
"x": 0,
"y": 0
},
"resume_flow": true
},
"style": {
"css": "<string>"
},
"embedded_at": "2023-12-25",
"submitted_at": "2023-12-25"
}Create a form
POST
https://{tenantDomain}/api/v2
/
forms
Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.CreateFormRequestContent{
Name: "name",
}
client.Forms.Create(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.create({
name: "name",
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.create({
name: "name",
});
}
main();Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/x-www-form-urlencoded
Required string length:
1 - 150Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Form successfully created.
Maximum string length:
30Required string length:
1 - 150Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I